{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine record_lock\r\ndeclare function msg\r\n$insert recipe_equ\r\n\r\nListId = 'RECIPE_ID*':@station\r\nRecipeKey = xlate( 'SYSLISTS', ListId, 1, 'X' )\r\nif RecipeKey then\r\n    .epi_recipe->text = RecipeKey\r\n    RecipeName = xlate( 'RECIPE', RecipeKey, recipe_recipe_name$, 'X' )\r\n    .epi_recipe_name->text = RecipeName\r\n    open 'SYSLISTS' to SysListsTable else\r\n        Void = msg( '', 'Unable to open SYSLISTS...' )\r\n        return 0\r\n    end\r\n    record_lock( SysListsTable, 'SysLists', ListId )\r\n    delete SysListsTable, ListId else\r\n        Void = msg( '', 'Unable to delete ':ListId:' from SYSLISTS...' )\r\n        return 0\r\n    end\r\n    unlock SysListsTable, ListId else\r\n        Void = msg( '', 'Unable to unlock SYSLISTS ':ListId )\r\n        return 0\r\n    end\r\nend\r\nRETURN 0"
        }
    }
}